Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.0.4
Release:	3
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	http://irqbalance.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	irqbalance.1
Patch0:		irqbalance-1.0.4-fix-systemd-service.patch
Requires(post,preun):		rpm-helper
BuildRequires:	gccmakedep
BuildRequires:	numa-devel
BuildRequires:	glib2-devel
%if %mdkversion >= 201010
BuildRequires:	libcap-ng-devel
%endif

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}
install -D -p -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -d %{buildroot}%{_mandir}/man1/
install -p -m 0644 ./irqbalance.1 %{buildroot}%{_mandir}/man1/

%if %mdkver >= 201100
install -D -p -m 0644 ./misc/irqbalance.service %{buildroot}%{_unitdir}/irqbalance.service
%else
mkdir -p %{buildroot}%{_initrddir}
install %{SOURCE1} %{buildroot}%{_initrddir}/irqbalance
%endif

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance

%files
%doc AUTHORS
%{_mandir}/man1/*
%{_sbindir}/*
%if %mdkver >= 201100
%{_unitdir}/%{name}.service
%else
%{_initrddir}/*
%endif
%config(noreplace) %{_sysconfdir}/sysconfig/*


%changelog
* Tue Sep 11 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-3
+ Revision: 816788
- remove wrong serive type

* Mon Sep 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-2
+ Revision: 816688
- Patch0: fix systemd service file
- spec file clean
- adjust sysconfig file to new irqbalance
- handle new options in old init file

* Thu Sep 06 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0.4-1
+ Revision: 816419
- version update 1.0.4

* Sat Jan 07 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.3-1
+ Revision: 758619
- update to new version 1.0.3
- install systemd service
- spec file clean

* Sat Nov 05 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0.2-1
+ Revision: 721483
- version update to upstream release and little Source spec fix

* Fri Nov 04 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0-1
+ Revision: 716555
- version update to 1.0 from upstream and little spec fix for new version

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.56-2
+ Revision: 665524
- mass rebuild

* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.56-1mdv2011.0
+ Revision: 574001
- update to new version 0.56
- drop all patches, fixed by upstream
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix build on older distros

* Sun Feb 21 2010 Thierry Vignaud <tv@mandriva.org> 0.55-9mdv2010.1
+ Revision: 509301
- patch 2: fix irqbalance doing nothing (#57523, RH#433270)

* Mon Feb 15 2010 Frederic Crozat <fcrozat@mandriva.com> 0.55-8mdv2010.1
+ Revision: 506182
- Update initscript to fix rpmlint warnings
- Patch3 (Fedora): use libcap-ng

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.55-7mdv2010.0
+ Revision: 425387
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.55-6mdv2009.1
+ Revision: 351254
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.55-5mdv2009.0
+ Revision: 221643
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 13 2007 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2008.1
+ Revision: 119428
- license is not OSL but GPL
- add fedora patches: missing man page, fix for a stale PID file created by
  irqbalance --one-shot (the default on multicore CPU's with shared caches),
  compile -with -fPIE
- sync sysconfig & init scripts with fedora (thus fixing #31387)
- better description
- inline name/version/release
- use requires(post,preun) instead of prereq
- add download URL
- fix summary-ended-with-dot

* Tue May 15 2007 Olivier Blin <blino@mandriva.org> 0.55-3mdv2008.0
+ Revision: 26903
- update URL

* Tue May 15 2007 Thierry Vignaud <tv@mandriva.org> 0.55-2mdv2008.0
+ Revision: 26868
- buildrequires glib2-devel
- cleanups
- use %%mkrel
- Import irqbalance





* Mon May 14 2007 Nicolas Chipaux <chipaux@mandriva.com> 0.55-1mdv
- new release (in fact some missed release ...)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-1mdk
- new release
- start it in runlevel 2 too

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.09-1mdk
- 0.09

* Tue Sep 09 2003 Marcel Pol <mpol@gmx.net> 0.06-1mdk
- initial mandrake contrib
